version: "2"
services:

  rookeries:
    build: .
    image: dorianpula/rookeries:latest
    environment:
      - ROOKERIES_COUCHDB=http://admin:password@db:5984/rookeries/
      - ROOKERIES_JWT_SECRET_KEY="problematic_penguins"
      - RUST_BACKTRACE=1
      - RUST_LOG=error,rookeries=info,actix_web=info
    depends_on:
      - db
    ports:
      - "5000:5000"

  testing:
    image: selenium/standalone-firefox-debug
    ports:
      - "5900:5900"

  db:
    ports:
      - "5984:5984"
    image: apache/couchdb:latest
    environment:
      - COUCHDB_USER=admin
      - COUCHDB_PASSWORD=password
